#include <stdio.h>
#include "SysDefs.h"

/************************************************************************/
/*>BOOL OpenStdFiles(char *infile, char *outfile, FILE **in, FILE **out)
   ---------------------------------------------------------------------
   Input:   char     *infile     Input filename
            char     *outfile    Output filename
   Output:  FILE     **in        Input file pointer
            FILE     **out       Output file pointer
   Returns: BOOL                 Success?

   Open the files if specified. In and out are not modified if files
   are not specified.

   29.06.94 Original    By: ACRM
   24.08.94 Name changed from OpenFiles() and placed in gen lib.
   18.12.95 Now treats a filename of - as stdin/stdout
   05.02.96 Allows NULL pointers
*/
BOOL OpenStdFiles(char *infile, char *outfile, FILE **in, FILE **out)
{
   if(infile!=NULL && infile[0] && strcmp(infile,"-"))
   {
      if((*in = fopen(infile,"r"))==NULL)
      {
         fprintf(stderr,"Unable to open input file: %s\n",infile);
         return(FALSE);
      }
   }
      
   if(outfile!=NULL && outfile[0] && strcmp(outfile,"-"))
   {
      if((*out = fopen(outfile,"w"))==NULL)
      {
         fprintf(stderr,"Unable to open output file: %s\n",outfile);
         return(FALSE);
      }
   }
   
   return(TRUE);
}


